<?php  
	include "conexion.php";
	include "insertar_log.php";
	$id_aplicacion = "0";

	$datos = " Ingresa a obtener_clientes_consignacion ";	
		insertarLog($datos,$id_aplicacion);

	$valor="";

	$sql = "select ";
	$sql .= "valor ";
	$sql .= "from ";
	$sql .= "parametros ";
	$sql .= "where ";
	$sql .= "id_parametro='Bienestar' ";
	
	$sentencia = $conexion->prepare($sql);
	
	$sentencia->execute();

	$resultado = $sentencia->get_result();

	while($fila = $resultado->fetch_assoc())
	{
		$valor=$fila['valor'];
	}
	
	$sentencia->close();

	$datos = " Obtuvo informacion de parametro Bienestar =".$valor;	
		insertarLog($datos,$id_aplicacion);
	
	$sql = "select ";
	$sql .= "id_cliente,";
	$sql .= "razon_social, ";
	$sql .= "consignacion ";
	$sql .= "from ";
	$sql .= "clientes ";
	$sql .= "where ";
	$sql .= "consignacion<>0 ";
	$sql .= "and estatus=1 ";

	$array = array();

	
	$sentencia = $conexion->prepare($sql);
	
	$sentencia->execute();

	$resultado = $sentencia->get_result();
	$cont=0;

	while($fila = $resultado->fetch_assoc())
	{
		$cliente['id']=$fila['id_cliente'];
		$cliente['razon_social']=$fila['razon_social'];
		$cliente['consignacion']=$fila['consignacion'];
		if ($fila['consignacion'] == 2 && $valor =="") 
		{
			// code...
		}
		else{
			$array[$cont] = $cliente;
			$cont++;
		}
	}

	
	$sentencia->close();

	$datos = " Obtuvo informacion de clientes consignacion ";	
		insertarLog($datos,$id_aplicacion);
	echo response(0,"OK",$array);


	function response($estatus,$estatus_mensaje,$respuesta){
		header("HTTP/1.1".$estatus);

		$response["estatus"]=$estatus;
		$response["estatus_mensaje"]=$estatus_mensaje;
		$response["respuesta"]=$respuesta;
		
		$json_response = json_encode($response, JSON_UNESCAPED_UNICODE);

		echo $json_response;

	}

?>